# bcmdhd

DHDCFLAGS += -Wall -Wstrict-prototypes -DLINUX -DBCMDRIVER                  \
	-DBCMDONGLEHOST -DUNRELEASEDCHIP -DBCMDMA32 -DBCMFILEIMAGE          \
	-DDHDTHREAD -DDHD_DEBUG -DBDC -DTOE                                 \
	-DDHD_BCMEVENTS -DSHOW_EVENTS -DBCMDBG                              \
	-DOOB_INTR_ONLY					    \
	-DMMC_SDIO_ABORT -DBCMSDIO -DBCMLXSDMMC -DBCMPLATFORM_BUS -DWLP2P   \
	-DWIFI_ACT_FRAME -DARP_OFFLOAD_SUPPORT                              \
	-DKEEP_ALIVE  -DPKT_FILTER_SUPPORT           \
	-DEMBEDDED_PLATFORM -DPNO_SUPPORT        			    \
	-Idrivers/net/wireless/bcmdhd -Idrivers/net/wireless/bcmdhd/include \
	-Idrivers/net/wireless/bcmdhd/common/include






DHDCFLAGS += -DCUSTOMER_HW2
DHDCFLAGS += -DWL_CFG80211

# VSDB
DHDCFLAGS += -DVSDB
DHDCFLAGS += -DPROP_TXSTATUS

# Wi-Fi Direct
DHDCFLAGS += -DWL_CFG80211_VSDB_PRIORITIZE_SCAN_REQUEST
# For p2p connection issue
DHDCFLAGS += -DWL_SCB_TIMEOUT=10
# For TDLS tear down inactive time 10 sec









# Roaming
DHDCFLAGS += -DROAM_ENABLE



# CCX
ifeq ($(CONFIG_BRCM_CCX),y)
  DHDCFLAGS += -DBCMCCX
endif


# For Scan result patch
DHDCFLAGS += -DESCAN_RESULT_PATCH



ifneq ($(CONFIG_DHD_USE_SCHED_SCAN),)
DHDCFLAGS += -DWL_SCHED_SCAN
endif


################################
# MPS platform specific features
#################################
DHDCFLAGS += -DSUPPORT_PM2_ONLY
DHDCFLAGS += -DGET_CUSTOM_MAC_ENABLE
DHDCFLAGS += -DCUSTOM_PNO_EVENT_LOCK_xTIME=10



#DHDCFLAGS += -DSUPPORT_MULTIPLE_REVISION
#DHDCFLAGS += -DSUPPORT_MULTIPLE_CHIPS


#DHDCFLAGS += -DPLATFORM_MPS -DCUSTOM_OOB_GPIO_NUM=102
DHDCFLAGS += -DPLATFORM_MPS

# idle count
DHDCFLAGS += -DDHD_USE_IDLECOUNT
##########
# KitKat
##########
# Definitions are filtered by Kernel version
DHDCFLAGS += -DWL_ENABLE_P2P_IF
DHDCFLAGS += -DWL_SUPPORT_BACKPORTED_KPATCHES
# Default definitions for KitKat
DHDCFLAGS += -DWL_CFG80211_STA_EVENT
#DHDCFLAGS += -DWL_IFACE_COMB_NUM_CHANNELS
# To support p2p private command on kernel 3.8 or above
DHDCFLAGS += -DWL_NEWCFG_PRIVCMD_SUPPORT




#########################
# Chip dependent feature
#########################

ifneq ($(CONFIG_BCM4330),)
  DHDCFLAGS += -DBCM4330_CHIP
  DHDCFLAGS += -DMCAST_LIST_ACCUMULATION
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=0
  DHDCFLAGS += -DWL_CFG80211_GON_COLLISION

  # Remove common feature for BCM4330
  DHDCFLAGS :=$(filter-out -DSUPPORT_AMPDU_MPDU_CMD,$(DHDCFLAGS))
  DHDCFLAGS :=$(filter-out -DVSDB,$(DHDCFLAGS))
  DHDCFLAGS :=$(filter-out -DPROP_TXSTATUS,$(DHDCFLAGS))
  DHDCFLAGS :=$(filter-out -DROAM_AP_ENV_DETECTION,$(DHDCFLAGS))
  DHDCFLAGS :=$(filter-out -DDHD_USE_IDLECOUNT,$(DHDCFLAGS))
endif


ifneq ($(CONFIG_BCM43341),)
$(info bcmdhd: Compiling for 43341 chip)
  DHDCFLAGS += -DBCM43341_CHIP
  DHDCFLAGS += -DENABLE_BCN_LI_BCN_WAKEUP
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=5
  DHDCFLAGS += -DPROP_TXSTATUS_VSDB
endif




ifneq ($(CONFIG_BCM4334),)
$(info bcmdhd: Compiling for 4334 chip)
  DHDCFLAGS += -DBCM4334_CHIP
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=5
  DHDCFLAGS += -DPROP_TXSTATUS_VSDB
  DHDCFLAGS += -DWES_SUPPORT
  DHDCFLAGS += -DSUPPORT_WL_TXPOWER
endif


ifneq ($(CONFIG_BCM43241),)
$(info bcmdhd: Compiling for 43241 chip)
  DHDCFLAGS += -DCUSTOM_SDIO_F2_BLKSIZE=128
  DHDCFLAGS += -DSDIO_CRC_ERROR_FIX
endif

ifneq ($(CONFIG_BCM4335),)
$(info bcmdhd: Compiling for 4335 chip)
  DHDCFLAGS += -DBCM4335_CHIP
  DHDCFLAGS += -DSDIO_CRC_ERROR_FIX
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=8 -DCUSTOM_RXCHAIN=1
  DHDCFLAGS += -DBCMSDIOH_TXGLOM -DCUSTOM_TXGLOM=1 -DBCMSDIOH_TXGLOM_HIGHSPEED
  DHDCFLAGS += -DDHDTCPACK_SUPPRESS
  DHDCFLAGS += -DUSE_WL_TXBF
  DHDCFLAGS += -DUSE_WL_FRAMEBURST
  DHDCFLAGS += -DRXFRAME_THREAD
  DHDCFLAGS += -DCUSTOM_AMPDU_BA_WSIZE=64
  DHDCFLAGS += -DCUSTOM_DPC_CPUCORE=0
  DHDCFLAGS += -DPROP_TXSTATUS_VSDB  
  DHDCFLAGS += -DCUSTOM_MAX_TXGLOM_SIZE=32
  DHDCFLAGS += -DWL11U
  DHDCFLAGS += -DOKC_SUPPORT
  DHDCFLAGS += -DWLFBT
  DHDCFLAGS += -DDHD_ENABLE_LPC
  DHDCFLAGS += -DWLTDLS -DWLTDLS_AUTO_ENABLE
  
# For BT LOCK
ifeq ($(CONFIG_BCM4335BT),y)
  DHDCFLAGS += -DENABLE_4335BT_WAR
endif
endif

ifneq ($(CONFIG_BCM4339),)
$(info bcmdhd: Compiling for 4339 chip)
  DHDCFLAGS += -DBCM4339_CHIP
  DHDCFLAGS += -DSDIO_CRC_ERROR_FIX
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=8 -DCUSTOM_RXCHAIN=1
  DHDCFLAGS += -DBCMSDIOH_TXGLOM -DCUSTOM_TXGLOM=1 -DBCMSDIOH_TXGLOM_HIGHSPEED
  DHDCFLAGS += -DDHDTCPACK_SUPPRESS

  DHDCFLAGS += -DUSE_WL_TXBF
  DHDCFLAGS += -DUSE_WL_FRAMEBURST
  DHDCFLAGS += -DRXFRAME_THREAD  
  DHDCFLAGS += -DCUSTOM_AMPDU_BA_WSIZE=64
  DHDCFLAGS += -DCUSTOM_DPC_CPUCORE=0
  DHDCFLAGS += -DPROP_TXSTATUS_VSDB
  DHDCFLAGS += -DCUSTOM_MAX_TXGLOM_SIZE=32
  DHDCFLAGS += -DWL11U
  DHDCFLAGS += -DOKC_SUPPORT
  DHDCFLAGS += -DWLFBT
  DHDCFLAGS += -DDHD_ENABLE_LPC
  DHDCFLAGS += -DWLTDLS -DWLTDLS_AUTO_ENABLE
endif

#########
# Others
#########

EXTRA_CFLAGS = $(DHDCFLAGS)

ifeq ($(CONFIG_BCMDHD),m)
EXTRA_LDFLAGS += --strip-debug
endif

ifeq ($(CONFIG_BCMDHD),y)
  DHDCFLAGS += -DENABLE_INSMOD_NO_FW_LOAD
  DHDCFLAGS += -DUSE_LATE_INITCALL_SYNC
  
  DHDCFLAGS += -DBCM4330_CHIP
  DHDCFLAGS += -DMCAST_LIST_ACCUMULATION
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=0
  DHDCFLAGS += -DWL_CFG80211_GON_COLLISION  
  DHDCFLAGS += -DCONFIG_CONTROL_PM
  DHDCFLAGS += -DCUSTOM_GLOM_SETTING=0
  DHDCFLAGS += -DWL_CFG80211_VSDB_PRIORITIZE_SCAN_REQUEST  
  
  DHDCFLAGS += -DCUSTOMER_HW4
  DHDCFLAGS += -DBLOCK_IPV6_PACKET -DPASS_IPV4_SUSPEND
  DHDCFLAGS += -DSUPPORT_DEEP_SLEEP
  DHDCFLAGS += -DSIMPLE_MAC_PRINT
  DHDCFLAGS += -DREAD_MACADDR  
endif

DHDOFILES = aiutils.o bcmsdh_sdmmc_linux.o dhd_linux.o siutils.o bcmutils.o   \
	dhd_linux_sched.o dhd_pno.o dhd_sdio.o bcmwifi_channels.o bcmevent.o hndpmu.o   \
	bcmsdh.o dhd_cdc.o dhd_wlfc.o bcmsdh_linux.o dhd_common.o dhd_ip.o linux_osl.o    \
	bcmsdh_sdmmc.o dhd_custom_gpio.o dhd_custom_sec.o sbutils.o wldev_common.o wl_android.o     \
	wl_cfg80211.o wl_cfgp2p.o wl_linux_mon.o dhd_cfg80211.o

obj-$(CONFIG_BCMDHD) += bcmdhd.o
bcmdhd-objs += $(DHDOFILES)
